import { post, upload, uploads } from "../utils/request";

/** 登录 */
export const submitLogin = (params) => post("/app/admin/check", params);

/** 身份证去重 */
export const getIDCardDeduplication = (params) =>
	post("/app/user/hasCardIdForApp", params);

/** 用户名去重 */
export const getUserDeduplication = (params) =>
	post("/app/user/hasUserNameForApp", params);

/** 手机号去重 */
export const getPhoneNumberDeduplication = (params) =>
	post("/app/user/hasPhoneForApp", params);

/** 注册 */
export const setRegister = (params) => post("/app/admin/register", params);

/** 忘记密码 */
export const setForgotPassword = (params) =>
	post("/app/admin/forgetPassword", params);

/** 电子工牌 */
export const getElectronicWorkCard = (params) =>
	post("/app/user/getUserDetailInfoByUserIdForApp", params);

/** 电子工牌二维码 */
export const getElectronicWorkCardQRCode = (params) =>
	post("/app/user/generateQRCodeImageByUserId", params);

/** 就职单位列表 */
export const getEmployedBy = (params) =>
	post(
		"/app/employmentApplyManagement/getEmploymentRecordByUserIdOrCorpInfoId",
		params
	);

/** 离职申请 */
export const setResignationApplication = (params) =>
	post("/app/employmentApplyManagement/edit", params);

/** 相关方扫码 */
export const setRelatedPartyScanning = (params) =>
	post("/app/user/updateUserInfoAfterScanQRCode", params);

/** 数据字典 */
export const getDataDictionary = (params) =>
	post("/app/dictionaries/getLevels", params);

/** 上传附件 */
export const setUploadAttachments = (params) =>
	upload("/app/imgFiles/addSingleImg", params);

/** 删除附件 */
export const removeUploadAttachments = (params) =>
	post("/app/imgFiles/deleteImg", params);

/** 相关方注册 */
export const setRelatedPartyRegistration = (params) =>
	post("/app/user/saveUser", params);

/** 相关方修改 */
export const setRelatedPartyUpdate = (params) =>
	post("/app/user/editUser", params);

/** 检查相关方单位流动人员数和单位总人数 */
export const checkRelatedUnitsPersonCount = (params) =>
	post("/app/user/checkUserCountForApp", params);

/** 服务单位列表 */
export const getServiceUnitList = (params) =>
	post("/app/user/getRelatedUnitsListByUserId", params);

/** 服务单位查看 */
export const getServiceUnitView = (params) =>
	post("/app/user/getRelatedUnitsDetailById", params);

/** 反馈问题附件 */
export const setFeedbackUpload = (params) =>
	upload("/app/feedback/upload", params);

/** 反馈问题提交 */
export const setFeedbackAdd = (params) => post("/app/feedback/add", params);

/** 版本更新 */
export const getVersion = (params) =>
	post("/app/versionmanager/getVersion", params);

/** 修改密码 */
export const setUpdatePassword = (params) =>
	post("/app/user/editUserPasswordByUserId", params);

/** 用户信息 */
export const getUserInfo = (params) =>
	post("/app/user/getDetailByUserIdAndCorpInfoId", params);

/** 修改用户信息 */
export const setUserInfo = (params) => post("/app/user/edit", params);

/** 证书信息列表 */
export const getCertificateInformationList = (params) =>
	post("/app/specialUser/list", params);

/** 证书信息查看 */
export const getCertificateInformationView = (params) =>
	post("/app/specialUser/goEdit", params);

/** 证书信息添加 */
export const setCertificateInformationAdd = (params) =>
	upload("/app/specialUser/add", params);

/** 证书信息修改 */
export const setCertificateInformationEdit = (params) =>
	upload("/app/specialUser/edit", params);

/** 证书信息修改 */
export const setCertificateInformationEditPost = (params) =>
	post("/app/specialUser/edit", params);

/** 用户信息 */
export const getDeptTree = (params) =>
	post("/api/department/listzTree", params);

/** 获取EMPLOYMENTAPPLYMANAGEMENTID */
export const getEMPLOYMENTAPPLYMANAGEMENTID = (params) =>
	post("/app/user/getEMPLOYMENTAPPLYMANAGEMENTID", params);

/** 获取安全环境对话红点 */
export const getSafetyenvironmentalRedPoint = (params) => post("/app/safetyenvironmental/countCheck", params);

/** 获取隐患信息 */
export const getHiddenInfo = (params) => post("/app/hidden/goEdit", params);

/** 隐患级别树 */
export const getHiddenLevelTree = (params) =>
	post("/dictionaries/listSelectTreeByTkiTree", params);

/** 隐患部位树 */
export const getHiddenPositionTree = (params) =>
  post("/app/hidden/getTreehiddenRegionListAll", params);

/** 部门树 */
export const getDepartmentTree = (params) => post("/app/sys/listTree", params); 

/** 人员 */
export const getPersonnelList = (params) => post("/app/sys/listUser", params);

/** 上传附件 */
export const setUploadFile = (params) => upload("/app/imgfiles/add", params);

/** 获取图片 */
export const getFileList = (params) => post("/app/imgfiles/listImgs", params);

/** 删除图片 */
export const setFileDelete = (params) => post("/app/imgfiles/delete", params);
