import { post, upload, uploads } from "../../utils/request";

/** 获取监管端的部门的人员 */
export const getDeptUser = (params) =>
	post("/AppUser/listAllManageAndCorp", { loading: false, ...params });

/** 获取隐患级别 */
export const getHiddenLevel = () =>
	post("/app/dictionaries/listSelectTree", {
		loading: false,
		DICTIONARIES_ID: "5e7cf8620ba54ad89719d0be62133c7a",
	});

/** 获取隐患部位 */
export const getHiddenRegion = (params) =>
	post("/app/hiddenRegion/gerRegionList", { loading: false, ...params });

/** 获取隐患类型 */
export const getHiddenType = () =>
	post("/app/dictionaries/listSelectTree", {
		loading: false,
		DICTIONARIES_ID: "3babc15144444bdc8d763d0af2bdfff6",
	});

/** 获取被检查部门 */
export const getInspectedDepartment = (params) =>
	post("/app/corpDepartment/listTreeCorpDept", { loading: false, ...params });

/** 获取检查部门 */
export const getInspectionDepartment = (params) =>
	post("/app/corpDepartment/listTreeManageAndCorp", {
		loading: false,
		...params,
	});

/** 获取检查类型 */
export const getInspectionType = () =>
	post("/app/dictionaries/listSelectTree", {
		loading: false,
		DICTIONARIES_ID: "60e6481d96e44a5390ff5c347c4d1ffe",
	});

/** 获取检查人员 */
export const getInspectors = (params) =>
	post("/AppUser/listAllManageAndCorp", { loading: false, ...params });

/** 安全环保检查明细信息 */
export const getSafetyenvironmentalGoEdit = (params) =>
	post("/app/safetyenvironmental/goEdit", params);

/** 上传图片 */
export const setImgFilesAdd = (params) =>
	uploads("/app/imgfiles/uploadFile", params);

/** 新增安全环保检查 */
export const setSafetyenvironmentalAdd = (params) =>
	post("/app/safetyenvironmental/add", params);

/** 安全环保检查检查人确认 */
export const setSafetyenvironmentalVerify = (params) =>
	upload("/app/safetyenvironmentalinspector/verify", params);

/** 新增安全环保检查 - plus */
export const setSafetyenvironmentalAdd_plus = (params) =>
	upload("/app/safetyenvironmental/add", params);

/** 修改安全环保检查 */
export const setSafetyenvironmentalEdit = (params) =>
	post("/app/safetyenvironmental/edit", params);

/** 获取安全环保检查列表(隐患指派及验收) */
export const getSafetyenvironmentalCheckList = (params) =>
	post("/app/safetyenvironmental/checkList", params);

/** 修改安全环保检查 */
export const setSafetyenvironmentalGoEdit = (params) =>
	post("/app/safetyenvironmental/goEdit", params);

/** 申辩 */
export const setSafetyenvironmentalExplain = (params) =>
	post("/app/safetyenvironmental/explain", params);

/** 设置安全环境流程 */
export const setSafetyenvironmentalFlow = (params) =>
	post("/app/safetyenvironmental/showFlowChart", params);

/** 修改安全环保检查 - plus */
export const setSafetyenvironmentalEdit_plus = (params) =>
	upload("/app/safetyenvironmental/edit", params);

/** 获取安全环保检查验收隐患列表 */
export const getListForSafetyEnvironmental = (params) =>
	post("/app/hidden/listForSafetyEnvironmental", params);

/** 上传视频 */
export const setVideoAdd = (params) => upload("/app/imgfiles/add", params);

/** 获取安全环保检查列表 */
export const getSafetyenvironmentalList = (params) =>
	post("/app/safetyenvironmental/list", params);

/** 获取安全环保检查列表 */
export const getpleadList = (params) =>
	post("/app/safetyenvironmental/pleadList", params);

/** 获取安全环保检查申辩流程列表 */
export const getSafetyenvironmentalExplain = (params) =>
	post("/app/safetyenvironmental/getExplain", params);

/** 隐患详情 */
export const getHiddenGoEdit = (params) => post("/app/hidden/goEdit", params);

/** 提交安全环保检查验收 */
export const setFinalCheck = (params) => post("/app/hidden/finalcheck", params);

/** 安全环保检查检查人确认列表 */
export const getSafetyenvironmentalinspectorList = (params) =>
	post("/app/safetyenvironmentalinspector/list", params);

/** 获取被检查人签字/申辩列表 */
export const getInspectedList = (params) =>
	post(
		`/app/safetyenvironmentalexplain/list?showCount=${params.showCount}&currentPage=${params.currentPage}`
	);

/** 获取被检查人签字/申辩确认前的详情记录 */
export const getInspectedItemGoShow = (params) => post("/app/safetyenvironmental/goShow", params);
